#
# spec file for package ghc-typed-process
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name typed-process
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.2.4.0
Release:        1.1
Summary:        Run external processes, with strong typing of streams
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-transformers-devel
%if %{with tests}
BuildRequires:  ghc-base64-bytestring-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-temporary-devel
%endif

%description
Please see the tutorial at <https://haskell-lang.org/library/typed-process>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Thu Jan 17 2019 psimons@suse.com
- Update typed-process to version 0.2.4.0.
  [#]# 0.2.4.0
  * Add `readProcessInterleaved` and `readProcessInterleaved_` to support
    capturing output from stdout and stderr in a single ByteString value.
* Sat Oct 20 2018 Peter Simons <psimons@suse.com>
- Use https URL to refer to bugs.opensuse.org.
* Fri Aug 17 2018 psimons@suse.com
- Update typed-process to version 0.2.3.0.
  [#]# 0.2.3.0
  * Add support for the single-threaded runtime via polling
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Mon May 14 2018 psimons@suse.com
- Update typed-process to version 0.2.2.0.
  * Add inherit versions of setter functions
  * Add `readProcessStdout`, `readProcessStdout_`, `readProcessStderr`, and `readProcessStderr_`
  * Do not show modified environment information in exceptions
  * Remove dependency on `conduit` and `conduit-extra`. Relevant code added to
    `Data.Conduit.Process.Typed` in `conduit-extra-1.2.1`.
  * Introduce 'unsafeProcessHandle' function
  * Fix bug in `waitForProcess` that caused exit code to be lost
  * Minor doc improvements
* Fri Mar 31 2017 psimons@suse.com
- Improve package description.
* Sun Feb  5 2017 psimons@suse.com
- Update to version 0.1.0.0 with cabal2obs.
